/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Hello World for C using Encryption */
/* This is the DDL (Database Definition Language) for a single field,
 * single record-type database. The one record type is called HelloRecord,
 * and it's one field, message, can store an ASCII string. The program
 * will create a new record containing "Hello World" in the field, then
 * it will read through all records in the database and print their
 * contents.
 */
database CursorEncryption_db {
    data file "CursorEncryption_db.dat" contains HelloRecord;

    record HelloRecord {
        char    message[32];
    }
}

